 import java.awt.image.*;
 import java.io.*;
 import javax.swing.*;

public class Convolve1  {
 
    	public static void main(String[] args) {
	int mag = 16;
        // load the image
	String filename =  (args.length>0)? args[0]: "test2.png";

	 BufferedImage img = ImageOp.readImage(filename);
	 ImageFrame f1 = new ImageFrame(ImageOp.replicate(img,mag),filename);
	 f1.setLocation(100,100);

	 f1.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

	listImage.listGray(img,filename);

	int mask[][] = new int[5][5];
	mask[1][3] = 1;
	Convolve c = new Convolve(mask);
	c.showMatrix(mask,"convolution mask");
	BufferedImage outp = c.doConvolve(img);
	String cmt = "filtered";
	listImage.listGray(outp,cmt);

	 ImageFrame f2 = new ImageFrame(ImageOp.replicate(outp,mag),"smoothed");
	 f2.setLocation(140+f1.getWidth(),100);
    }
}
