import java.awt.image.*;
import java.io.*;
import javax.swing.*;


public class Convolve2 {
 

    public static void main(String[] args) {
	String filename =  args.length>0? args[0]: "test2.png";

	int mag = 16;
	 BufferedImage img = ImageOp.readImage(filename);
	 ImageFrame f1 = new ImageFrame(ImageOp.replicate(img,mag),filename);
	 f1.setLocation(100,100);
	 f1.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

	listImage.listGray(img,filename);
	int mask[][] = { {1, 2, 1}, {2, 4, 2}, {1, 2, 1} };;
	Convolve c = new Convolve(mask);
	c.setScale(16);
	c.showMatrix(mask,"convolution mask");
	BufferedImage outp = c.doConvolve(img);
	listImage.listGray(outp,filename);
	 ImageFrame f2 = new ImageFrame(ImageOp.replicate(outp,mag),"smoothed");
	 f2.setLocation(140+f1.getWidth(),100);
		
    }
}
